# $Id$

use Test::More tests => 12;

use_ok('ObsData');

ok(my $o = ObsData->new('testdata/obsdata-conftest'), "Can create object");
ok($o->is_obs('ohp'), "Isobs works");
ok(!$o->is_obs('ozone'), "Isobs works");
ok($o->getvalue('ohp', 'description'), "can get value");

ok(eq_set([ $o->list_obs ], [ 'ohp' ]), "Can list observatories");

ok($o->is_obs('ohp'), "check is an obs is defined");
ok(!$o->is_obs('NOohp'), "check is an obs is not defined");

{
my %datadir =  $o->list_obsdatadir('ohp');
ok($datadir{ozone} eq 'testdata/ohp/ozone', "Can get list of data directory");
}

ok(eq_set([ $o->list_typedatadir('ozone') ], [ 'testdata/ohp/ozone', 'testdata/ohp' ]) , 'Can list data directory');
ok(eq_set([ $o->get_datadir('ohp', 'ozone') ], [ 'testdata/ohp/ozone', 'testdata/ohp' ]) , 'Can retrive data directory');
ok(eq_set([ $o->list_datatype ], [ 'oxygene', 'ozone' ]), "can get data type");
print STDERR join(" ", $o->list_datatype);
