
# $Id$

use Test::More tests => 6;
use File::Temp qw(tempdir);
use ObsData::Repository;

{
my $td = tempdir;
ok(ObsData::Repository::init_repository($td), "Can initialize repos data");
ok(-f "$td/obsdata.db", "db is really create");
ok(-d "$td/logs", "log directory exists");

ok(ObsData::Repository->new(configfile => 'testdata/obsdata-conftest', dir => $td), "Can create object");

my $odr = ObsData::Repository->new(
    configfile => 'testdata/obsdata-conftest', dir => $td,
    sublog => sub { 
        ok($_[0] eq "INFO", "Log Callback give good loglevel");
        ok($_[2] eq "LOG MSG", "Log Callback give good message");
    },
);

$odr->logmsg('INFO', undef, "LOG %s", 'MSG');
# DEBUG msg are filtrered, so if more test are run, there is a pb here
$odr->logmsg('DEBUG', undef, "LOG %s", 'MSG');
$odr = undef;

system("rm -fr $td");
}
